Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wcs.configuration
Class Shape

    java.lang.Object
      org.deegree.ogcwebservices.wcs.configuration.CoverageSource
          org.deegree.ogcwebservices.wcs.configuration.Shape

    public class Shape

extends CoverageSource

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Shape(CoordinateSystem crs, String rootFileName, String tileProperty, String directoryProperty)`

Method Summary
`String` | `getDirectoryProperty()`
`String` | `getRootFileName()`
`String` | `getTileProperty()`
`void` | `setDirectoryProperty(String directoryProperty)`
`void` | `setRootFileName(String rootFileName)`
`void` | `setTileProperty(String tileProperty)`

Methods inherited from class org.deegree.ogcwebservices.wcs.configuration.CoverageSource
`getCrs, setCrs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Shape

    public Shape(CoordinateSystem crs,
                 String rootFileName,
                 String tileProperty,
                 String directoryProperty)

Parameters:
  `crs` -
  `rootFileName` -
  `tileProperty` -
  `directoryProperty` -

Method Detail

### getDirectoryProperty

    public String getDirectoryProperty()

  Returns:
    Returns the directoryProperty.

### setDirectoryProperty

    public void setDirectoryProperty(String directoryProperty)

  Parameters:
    `directoryProperty` - The directoryProperty to set.

### getRootFileName

    public String getRootFileName()

  Returns:
    Returns the rootFileName.

### setRootFileName

    public void setRootFileName(String rootFileName)

  Parameters:
    `rootFileName` - The rootFileName to set.

### getTileProperty

    public String getTileProperty()

  Returns:
    Returns the tileProperty.

### setTileProperty

    public void setTileProperty(String tileProperty)

  Parameters:
    `tileProperty` - The tileProperty to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org